// (c) MIT 2003.  All rights reserved.

package rec.simulate.reasoners;

import java.util.*;
import rec.util.*;
import rec.sys.*;
import rec.simulate.widgets.*;

public class SimMotorReasoner extends Reasoner 
{
    public Iterator getStrongerTypes()
    {
	Vector v = new Vector();
	v.addElement( "rec.simulate.widgets.WSimMotor" );
	return v.iterator();
    }
    
    public Iterator getWeakerTypes()
    {
	Vector v = new Vector();
	v.addElement( "rec.simulate.widgets.WSimObject" );
	v.addElement( "rec.simulate.widgets.WSimPulley" );
	v.addElement( "rec.simulate.widgets.WSimPinJoint" );
	return v.iterator();
    }
    
    public boolean match( Surface s, Widget stronger, Widget weaker )
    {
	return !( weaker instanceof WSimMotor );
    }
}
